defmodule Exoml.Entities do
  @entities %{
    "im" => "ℑ",
    "submult" => "⫁",
    "fpartint" => "⨍",
    "ldquo" => "“",
    "rarrw" => "↝",
    "ngt" => "≯",
    "nesear" => "⤨",
    "thinsp" => " ",
    "blank" => "␣",
    "simge" => "⪠",
    "veeeq" => "≚",
    "bkarow" => "⤍",
    "sdot" => "⋅",
    "notni" => "∌",
    "kopf" => "𝕜",
    "apid" => "≋",
    "nfr" => "𝔫",
    "approxeq" => "≊",
    "dblac" => "˝",
    "reals" => "ℝ",
    "ccaps" => "⩍",
    "leftdownvectorbar" => "⥙",
    "asymp" => "≈",
    "notsquaresupersetequal" => "⋣",
    "sol" => "/",
    "circleminus" => "⊖",
    "tridot" => "◬",
    "ic" => "⁣",
    "parsl" => "⫽",
    "equivdd" => "⩸",
    "xsqcup" => "⨆",
    "gtrless" => "≷",
    "lneqq" => "≨",
    "nsimeq" => "≄",
    "rightarrowbar" => "⇥",
    "ecolon" => "≕",
    "blacktriangledown" => "▾",
    "gnap" => "⪊",
    "ldquor" => "„",
    "check" => "✓",
    "rightharpoondown" => "⇁",
    "plusb" => "⊞",
    "gimel" => "ℷ",
    "rbrace" => "}",
    "nearr" => "⇗",
    "rcedil" => "ŗ",
    "cscr" => "𝒸",
    "circleds" => "Ⓢ",
    "zdot" => "ż",
    "szlig" => "ß",
    "cent" => "¢",
    "boxminus" => "⊟",
    "hamilt" => "ℋ",
    "supe" => "⫆",
    "smid" => "∣",
    "sqcap" => "⊓",
    "equaltilde" => "≂",
    "dcy" => "д",
    "del" => "∇",
    "bigvee" => "⋁",
    "lat" => "⪫",
    "ruluhar" => "⥨",
    "ltrif" => "◂",
    "larrhk" => "↩",
    "downharpoonright" => "⇂",
    "xcup" => "⋃",
    "drbkarow" => "⤐",
    "inodot" => "ı",
    "doublecontourintegral" => "∯",
    "assign" => "≔",
    "lesges" => "⪓",
    "larrtl" => "↢",
    "larrpl" => "⤹",
    "half" => "½",
    "cupor" => "⩅",
    "lagran" => "ℒ",
    "uuarr" => "⇈",
    "uacute" => "ú",
    "veebar" => "⊻",
    "gescc" => "⪩",
    "perp" => "⊥",
    "varkappa" => "ϰ",
    "squf" => "▪",
    "gcirc" => "ĝ",
    "exists" => "∃",
    "hybull" => "⁃",
    "nle" => "≰",
    "glj" => "⪤",
    "ohbar" => "⦵",
    "ntlg" => "≸",
    "rect" => "▭",
    "lessfullequal" => "≦",
    "lesseqgtr" => "⋚",
    "aleph" => "ℵ",
    "ffr" => "𝔣",
    "ange" => "⦤",
    "bigtriangleup" => "△",
    "succeedstilde" => "≿",
    "circletimes" => "⊗",
    "leftvectorbar" => "⥒",
    "between" => "≬",
    "xcirc" => "◯",
    "doublerighttee" => "⊨",
    "lsimg" => "⪏",
    "leftharpoondown" => "↽",
    "rhar" => "⥤",
    "wscr" => "𝓌",
    "diacriticaldot" => "˙",
    "ne" => "≠",
    "lmoustache" => "⎰",
    "ccedil" => "ç",
    "clubs" => "♣",
    "sstarf" => "⋆",
    "csube" => "⫑",
    "varr" => "⇕",
    "rtimes" => "⋊",
    "ncup" => "⩂",
    "gesdoto" => "⪂",
    "mddot" => "∺",
    "colon" => "∷",
    "ltcir" => "⩹",
    "gtcc" => "⪧",
    "leftupteevector" => "⥠",
    "laemptyv" => "⦴",
    "ncedil" => "ņ",
    "rationals" => "ℚ",
    "plustwo" => "⨧",
    "le" => "≦",
    "dharl" => "⇃",
    "minus" => "−",
    "notgreatertilde" => "≵",
    "upharpoonright" => "↾",
    "curarrm" => "⤼",
    "precedesequal" => "⪯",
    "bcong" => "≌",
    "angrtvbd" => "⦝",
    "sube" => "⫅",
    "langle" => "⟨",
    "downleftvectorbar" => "⥖",
    "para" => "¶",
    "succnsim" => "⋩",
    "nprec" => "⊀",
    "timesb" => "⊠",
    "doublerightarrow" => "⇒",
    "euro" => "€",
    "isins" => "⋴",
    "emptyverysmallsquare" => "▫",
    "notin" => "∉",
    "epsiv" => "ε",
    "xutri" => "△",
    "doubleuparrow" => "⇑",
    "longleftrightarrow" => "⟺",
    "amacr" => "ā",
    "barwedge" => "⌅",
    "ntriangleleft" => "⋪",
    "varsigma" => "ς",
    "pluse" => "⩲",
    "imacr" => "ī",
    "realine" => "ℛ",
    "lefttriangleequal" => "⊴",
    "doubledot" => "¨",
    "rightvector" => "⇀",
    "boxbox" => "⧉",
    "oslash" => "ø",
    "notgreaterless" => "≹",
    "star" => "☆",
    "cupcap" => "⩆",
    "clubsuit" => "♣",
    "intercal" => "⊺",
    "yacy" => "я",
    "downharpoonleft" => "⇃",
    "closecurlyquote" => "’",
    "gcy" => "г",
    "varepsilon" => "ε",
    "esim" => "⩳",
    "leftharpoonup" => "↼",
    "contourintegral" => "∮",
    "nsmid" => "∤",
    "notprecedes" => "⊀",
    "nlsim" => "≴",
    "gap" => "⪆",
    "circlearrowright" => "↻",
    "subne" => "⫋",
    "plankv" => "ℏ",
    "andv" => "⩚",
    "uptee" => "⊥",
    "cwint" => "∱",
    "notlefttriangleequal" => "⋬",
    "triplus" => "⨹",
    "bopf" => "𝕓",
    "origof" => "⊶",
    "gt" => ">",
    "operp" => "⦹",
    "filledverysmallsquare" => "▪",
    "bsolb" => "⧅",
    "fflig" => "ﬀ",
    "xopf" => "𝕩",
    "loz" => "◊",
    "shortuparrow" => "↑",
    "natur" => "♮",
    "zeta" => "ζ",
    "lozenge" => "◊",
    "sc" => "⪼",
    "ddarr" => "⇊",
    "uml" => "¨",
    "hcirc" => "ĥ",
    "blk12" => "▒",
    "tstrok" => "ŧ",
    "ltdot" => "⋖",
    "capitaldifferentiald" => "ⅅ",
    "preccurlyeq" => "≼",
    "checkmark" => "✓",
    "zwnj" => "‌",
    "triangleq" => "≜",
    "eqcirc" => "≖",
    "vartriangleleft" => "⊲",
    "supsetneq" => "⊋",
    "rpar" => ")",
    "boxv" => "║",
    "softcy" => "ь",
    "erdot" => "≓",
    "downleftteevector" => "⥞",
    "intcal" => "⊺",
    "dotsquare" => "⊡",
    "ominus" => "⊖",
    "ncaron" => "ň",
    "rightarrowleftarrow" => "⇄",
    "doubledownarrow" => "⇓",
    "odot" => "⊙",
    "hksearow" => "⤥",
    "varpropto" => "∝",
    "supdot" => "⪾",
    "uopf" => "𝕦",
    "subset" => "⋐",
    "lsquor" => "‚",
    "csup" => "⫐",
    "edot" => "≑",
    "lharul" => "⥪",
    "omid" => "⦶",
    "underbar" => "̲",
    "vangrt" => "⦜",
    "lltri" => "◺",
    "curlyvee" => "⋎",
    "mldr" => "…",
    "imped" => "Ƶ",
    "rightdownvectorbar" => "⥕",
    "rlm" => "‏",
    "csupe" => "⫒",
    "nabla" => "∇",
    "emptyv" => "∅",
    "lt" => "<",
    "ncong" => "≇",
    "capcap" => "⩋",
    "rarrlp" => "↬",
    "iprod" => "⨼",
    "ugrave" => "ù",
    "angzarr" => "⍼",
    "vfr" => "𝔳",
    "xmap" => "⟼",
    "gscr" => "𝒢",
    "gtcir" => "⩺",
    "bernou" => "ℬ",
    "cupdot" => "⊍",
    "doublelongrightarrow" => "⟹",
    "downarrowuparrow" => "⇵",
    "imof" => "⊷",
    "twoheadleftarrow" => "↞",
    "shortmid" => "∣",
    "pre" => "⪳",
    "blacklozenge" => "⧫",
    "dotdot" => "⃜",
    "ddotseq" => "⩷",
    "overparenthesis" => "⏜",
    "dzigrarr" => "⟿",
    "compfn" => "∘",
    "ltquest" => "⩻",
    "urtri" => "◹",
    "dharr" => "⇂",
    "wreath" => "≀",
    "copy" => "©",
    "nshortparallel" => "∦",
    "apos" => "'",
    "greaterless" => "≷",
    "ang" => "∠",
    "vdashl" => "⫦",
    "expectation" => "ℰ",
    "trpezium" => "⏢",
    "coloneq" => "≔",
    "zcy" => "з",
    "bbrktbrk" => "⎶",
    "verbar" => "‖",
    "poincareplane" => "ℌ",
    "leftrightharpoons" => "⇋",
    "dlcorn" => "⌞",
    "theta" => "θ",
    "leftthreetimes" => "⋋",
    "rdquor" => "”",
    "downtee" => "⊤",
    "ordm" => "º",
    "erarr" => "⥱",
    "disin" => "⋲",
    "oline" => "‾",
    "lang" => "⟪",
    "lowast" => "∗",
    "wr" => "≀",
    "par" => "∥",
    "angrtvb" => "⊾",
    "ocy" => "о",
    "equals" => "=",
    "greaterequalless" => "⋛",
    "frac45" => "⅘",
    "phi" => "φ",
    "iinfin" => "⧜",
    "gne" => "⪈",
    "complement" => "∁",
    "prnap" => "⪹",
    "kappav" => "ϰ",
    "capbrcup" => "⩉",
    "cong" => "≅",
    "angmsd" => "∡",
    "ntrianglerighteq" => "⋭",
    "iogon" => "į",
    "euml" => "ë",
    "lnsim" => "⋦",
    "dsol" => "⧶",
    "ssetmn" => "∖",
    "rightleftarrows" => "⇄",
    "llhard" => "⥫",
    "scne" => "⪶",
    "profline" => "⌒",
    "lcaron" => "ľ",
    "precapprox" => "⪷",
    "verticaltilde" => "≀",
    "ufisht" => "⥾",
    "mfr" => "𝔪",
    "rdca" => "⤷",
    "boxdr" => "╔",
    "hercon" => "⊹",
    "leftdownteevector" => "⥡",
    "tdot" => "⃛",
    "trisb" => "⧍",
    "eqcolon" => "≕",
    "rharul" => "⥬",
    "lopf" => "𝕝",
    "frac14" => "¼",
    "circledast" => "⊛",
    "nvdash" => "⊯",
    "gamma" => "γ",
    "greaterslantequal" => "⩾",
    "map" => "⤅",
    "rtrif" => "▸",
    "apacir" => "⩯",
    "uwangle" => "⦧",
    "sacute" => "ś",
    "upperleftarrow" => "↖",
    "gammad" => "ϝ",
    "dtri" => "▿",
    "barv" => "⫧",
    "opar" => "⦷",
    "middot" => "·",
    "notprecedesslantequal" => "⋠",
    "odiv" => "⨸",
    "supsim" => "⫈",
    "ordf" => "ª",
    "ldca" => "⤶",
    "dfisht" => "⥿",
    "isinv" => "∈",
    "minusb" => "⊟",
    "rightupdownvector" => "⥏",
    "supseteqq" => "⫆",
    "rarrpl" => "⥅",
    "epar" => "⋕",
    "topbot" => "⌶",
    "ges" => "⩾",
    "rfr" => "𝔯",
    "af" => "⁡",
    "int" => "∬",
    "bbrk" => "⎵",
    "dzcy" => "џ",
    "ccirc" => "ĉ",
    "therefore" => "∴",
    "scap" => "⪸",
    "ucy" => "у",
    "oelig" => "œ",
    "subrarr" => "⥹",
    "supmult" => "⫂",
    "hardcy" => "ъ",
    "numsp" => " ",
    "supsetneqq" => "⫌",
    "utilde" => "ũ",
    "uharr" => "↾",
    "simne" => "≆",
    "dot" => "˙",
    "dollar" => "$",
    "nsqsube" => "⋢",
    "notrighttriangleequal" => "⋭",
    "blacktriangleleft" => "◂",
    "el" => "⪙",
    "qopf" => "𝕢",
    "caret" => "⁁",
    "racute" => "ŕ",
    "yicy" => "ї",
    "lowerleftarrow" => "↙",
    "ctdot" => "⋯",
    "jsercy" => "ј",
    "dbkarow" => "⤏",
    "thkap" => "≈",
    "lobrk" => "⟦",
    "amp" => "&",
    "part" => "∂",
    "acute" => "´",
    "crarr" => "↵",
    "succeedsequal" => "⪰",
    "parallel" => "∥",
    "frac25" => "⅖",
    "lsquo" => "‘",
    "frac38" => "⅜",
    "sum" => "∑",
    "gtrsim" => "≳",
    "sopf" => "𝕤",
    "nsc" => "⊁",
    "rarrb" => "⇥",
    "sigmav" => "ς",
    "rbrkslu" => "⦐",
    "esdot" => "≐",
    "ograve" => "ò",
    "drcrop" => "⌌",
    "order" => "ℴ",
    "phone" => "☎",
    "flat" => "♭",
    "rbbrk" => "❳",
    "mu" => "μ",
    "circ" => "ˆ",
    "downleftrightvector" => "⥐",
    "centerdot" => "·",
    "righttrianglebar" => "⧐",
    "caron" => "ˇ",
    "homtht" => "∻",
    "leftfloor" => "⌊",
    "reverseupequilibrium" => "⥯",
    "mellintrf" => "ℳ",
    "gtlpar" => "⦕",
    "downarrowbar" => "⤓",
    "raarr" => "⇛",
    "bcy" => "б",
    "doubleleftarrow" => "⇐",
    "ltri" => "◃",
    "cuepr" => "⋞",
    "lharu" => "↼",
    "comp" => "∁",
    "ucirc" => "û",
    "uuml" => "ü",
    "nltri" => "⋪",
    "geqq" => "≧",
    "dagger" => "‡",
    "bsime" => "⋍",
    "succeeds" => "≻",
    "omega" => "ω",
    "rightupteevector" => "⥜",
    "smeparsl" => "⧤",
    "angmsdab" => "⦩",
    "late" => "⪭",
    "nwarhk" => "⤣",
    "sqsub" => "⊏",
    "succ" => "≻",
    "djcy" => "ђ",
    "bigcirc" => "◯",
    "hilbertspace" => "ℋ",
    "lefttee" => "⊣",
    "pscr" => "𝓅",
    "succapprox" => "⪸",
    "succcurlyeq" => "≽",
    "angmsdah" => "⦯",
    "beth" => "ℶ",
    "malt" => "✠",
    "npolint" => "⨔",
    "larrb" => "⇤",
    "downteearrow" => "↧",
    "macr" => "¯",
    "prod" => "∏",
    "lesdoto" => "⪁",
    "ltcc" => "⪦",
    "thetav" => "ϑ",
    "cudarrr" => "⤵",
    "qfr" => "𝔮",
    "dtdot" => "⋱",
    "gsime" => "⪎",
    "ogt" => "⧁",
    "lesseqqgtr" => "⪋",
    "sigmaf" => "ς",
    "orderof" => "ℴ",
    "tscy" => "ц",
    "orv" => "⩛",
    "rsh" => "↱",
    "curren" => "¤",
    "squareunion" => "⊔",
    "qprime" => "⁗",
    "varrho" => "ϱ",
    "aopf" => "𝕒",
    "quot" => "\"",
    "semi" => ";",
    "rdldhar" => "⥩",
    "male" => "♂",
    "emsp14" => " ",
    "swarr" => "⇙",
    "leftarrowtail" => "↢",
    "lnapprox" => "⪉",
    "rppolint" => "⨒",
    "nlarr" => "⇍",
    "ratio" => "∶",
    "nscr" => "𝓃",
    "bigstar" => "★",
    "overbracket" => "⎴",
    "rangd" => "⦒",
    "profsurf" => "⌓",
    "urcrop" => "⌎",
    "sup1" => "¹",
    "twoheadrightarrow" => "↠",
    "cacute" => "ć",
    "nestedlessless" => "≪",
    "raquo" => "»",
    "tcedil" => "ţ",
    "blk14" => "░",
    "boxh" => "═",
    "bull" => "•",
    "frac35" => "⅗",
    "proportional" => "∝",
    "tildefullequal" => "≅",
    "drcorn" => "⌟",
    "rcy" => "р",
    "topf" => "𝕥",
    "bowtie" => "⋈",
    "rightarrow" => "⇒",
    "gjcy" => "ѓ",
    "emptyset" => "∅",
    "napos" => "ŉ",
    "itilde" => "ĩ",
    "nap" => "≉",
    "thicksim" => "∼",
    "succnapprox" => "⪺",
    "strns" => "¯",
    "puncsp" => " ",
    "roundimplies" => "⥰",
    "yucy" => "ю",
    "fllig" => "ﬂ",
    "cconint" => "∰",
    "jopf" => "𝕛",
    "wedge" => "⋀",
    "notexists" => "∄",
    "leftrightsquigarrow" => "↭",
    "pi" => "π",
    "smallsetminus" => "∖",
    "eparsl" => "⧣",
    "angmsdaa" => "⦨",
    "icirc" => "î",
    "khcy" => "х",
    "notinva" => "∉",
    "cwconint" => "∲",
    "pfr" => "𝔭",
    "notniva" => "∌",
    "plusdo" => "∔",
    "sqcup" => "⊔",
    "emsp" => " ",
    "tprime" => "‴",
    "heartsuit" => "♥",
    "nvinfin" => "⧞",
    "capcup" => "⩇",
    "lhar" => "⥢",
    "zscr" => "𝓏",
    "supseteq" => "⊇",
    "biguplus" => "⨄",
    "rarr" => "⇒",
    "loang" => "⟬",
    "gsiml" => "⪐",
    "hookrightarrow" => "↪",
    "curlyeqsucc" => "⋟",
    "csub" => "⫏",
    "nbsp" => " ",
    "bot" => "⊥",
    "xlarr" => "⟸",
    "xuplus" => "⨄",
    "xodot" => "⨀",
    "ufr" => "𝔲",
    "bigodot" => "⨀",
    "ecy" => "э",
    "mnplus" => "∓",
    "gneqq" => "≩",
    "npar" => "∦",
    "chcy" => "ч",
    "nsime" => "≄",
    "ngtr" => "≯",
    "eqvparsl" => "⧥",
    "elinters" => "⏧",
    "backcong" => "≌",
    "ell" => "ℓ",
    "subsetneqq" => "⫋",
    "vbarv" => "⫩",
    "nshortmid" => "∤",
    "supsub" => "⫔",
    "differentiald" => "ⅆ",
    "sbquo" => "‚",
    "setmn" => "∖",
    "triangledown" => "▿",
    "napprox" => "≉",
    "subsup" => "⫓",
    "precneqq" => "⪵",
    "varnothing" => "∅",
    "zigrarr" => "⇝",
    "mcomma" => "⨩",
    "qint" => "⨌",
    "hfr" => "𝔥",
    "smile" => "⌣",
    "ldrushar" => "⥋",
    "lstrok" => "ł",
    "bprime" => "‵",
    "cuesc" => "⋟",
    "egsdot" => "⪘",
    "notgreater" => "≯",
    "nge" => "≱",
    "ulcorn" => "⌜",
    "omacr" => "ō",
    "tbrk" => "⎴",
    "simrarr" => "⥲",
    "supersetequal" => "⊇",
    "vellip" => "⋮",
    "lleftarrow" => "⇚",
    "leftarrowbar" => "⇤",
    "uogon" => "ų",
    "andd" => "⩜",
    "circleplus" => "⊕",
    "smallcircle" => "∘",
    "downrightvector" => "⇁",
    "zopf" => "𝕫",
    "shortrightarrow" => "→",
    "angmsdae" => "⦬",
    "subseteq" => "⊆",
    "demptyv" => "⦱",
    "weierp" => "℘",
    "leftrightvector" => "⥎",
    "cayleys" => "ℭ",
    "doublebarwedge" => "⌆",
    "ohm" => "Ω",
    "preceq" => "⪯",
    "nwnear" => "⤧",
    "cfr" => "𝔠",
    "dopf" => "𝕕",
    "rightceiling" => "⌉",
    "iiint" => "∭",
    "suchthat" => "∋",
    "triangle" => "▵",
    "bigotimes" => "⨂",
    "prop" => "∝",
    "lbbrk" => "❲",
    "tint" => "∭",
    "angst" => "Å",
    "zhcy" => "ж",
    "lbrace" => "{",
    "seswar" => "⤩",
    "kfr" => "𝔨",
    "nisd" => "⋺",
    "top" => "⊤",
    "becaus" => "∵",
    "doubleleftrightarrow" => "⇔",
    "egrave" => "è",
    "integers" => "ℤ",
    "atilde" => "ã",
    "righttee" => "⊢",
    "andslope" => "⩘",
    "longrightarrow" => "⟹",
    "solb" => "⧄",
    "superset" => "⊃",
    "breve" => "˘",
    "sub" => "⋐",
    "lescc" => "⪨",
    "equilibrium" => "⇌",
    "blacksquare" => "▪",
    "escr" => "ℰ",
    "frac13" => "⅓",
    "searr" => "⇘",
    "zerowidthspace" => "​",
    "larrbfs" => "⤟",
    "mediumspace" => " ",
    "leftupvectorbar" => "⥘",
    "fouriertrf" => "ℱ",
    "tshcy" => "ћ",
    "plussim" => "⨦",
    "ngsim" => "≵",
    "frac18" => "⅛",
    "downrightvectorbar" => "⥗",
    "lbrksld" => "⦏",
    "nrtri" => "⋫",
    "kjcy" => "ќ",
    "circledr" => "®",
    "vartheta" => "ϑ",
    "leftrightarrows" => "⇆",
    "lefttriangle" => "⊲",
    "backprime" => "‵",
    "subsetequal" => "⊆",
    "ggg" => "⋙",
    "upteearrow" => "↥",
    "subedot" => "⫃",
    "minusd" => "∸",
    "notsupersetequal" => "⊉",
    "laarr" => "⇚",
    "otilde" => "õ",
    "psi" => "ψ",
    "notinvb" => "⋷",
    "olcross" => "⦻",
    "uplus" => "⊎",
    "varphi" => "φ",
    "oscr" => "𝒪",
    "sim" => "∼",
    "hslash" => "ℏ",
    "curarr" => "↷",
    "jmath" => "ȷ",
    "phmmat" => "ℳ",
    "asympeq" => "≍",
    "lceil" => "⌈",
    "ape" => "⩰",
    "piv" => "ϖ",
    "loarr" => "⇽",
    "ofr" => "𝔬",
    "uarr" => "⇑",
    "nparallel" => "∦",
    "kscr" => "𝓀",
    "notsquaresubsetequal" => "⋢",
    "ycy" => "ы",
    "uparrowbar" => "⤒",
    "xharr" => "⟺",
    "rrarr" => "⇉",
    "urcorner" => "⌝",
    "lbarr" => "⤎",
    "nexist" => "∄",
    "ogon" => "˛",
    "partiald" => "∂",
    "upsi" => "ϒ",
    "lozf" => "⧫",
    "circeq" => "≗",
    "rightarrowtail" => "↣",
    "nltrie" => "⋬",
    "yfr" => "𝔶",
    "lmidot" => "ŀ",
    "naturals" => "ℕ",
    "lge" => "⪑",
    "setminus" => "∖",
    "negativemediumspace" => "​",
    "blacktriangle" => "▴",
    "frac78" => "⅞",
    "easter" => "⩮",
    "sqsubseteq" => "⊑",
    "yopf" => "𝕪",
    "ycirc" => "ŷ",
    "squ" => "□",
    "dotminus" => "∸",
    "iota" => "ι",
    "eg" => "⪚",
    "comma" => ",",
    "rarrbfs" => "⤠",
    "squarf" => "▪",
    "ltrie" => "⊴",
    "nexists" => "∄",
    "lsime" => "⪍",
    "ncap" => "⩃",
    "ccaron" => "č",
    "duhar" => "⥯",
    "curlywedge" => "⋏",
    "lessless" => "⪡",
    "hscr" => "𝒽",
    "eqslantless" => "⪕",
    "shy" => "­",
    "gsim" => "≳",
    "real" => "ℜ",
    "diacriticaldoubleacute" => "˝",
    "looparrowright" => "↬",
    "lrhar" => "⇋",
    "cirfnint" => "⨐",
    "odsold" => "⦼",
    "it" => "⁢",
    "mdash" => "—",
    "downleftvector" => "↽",
    "rightfloor" => "⌋",
    "ngeq" => "≱",
    "intlarhk" => "⨗",
    "sscr" => "𝓈",
    "overbrace" => "⏞",
    "deg" => "°",
    "upsih" => "ϒ",
    "cudarrl" => "⤸",
    "popf" => "𝕡",
    "tildeequal" => "≃",
    "quaternions" => "ℍ",
    "lsh" => "↰",
    "ropf" => "𝕣",
    "laquo" => "«",
    "thickapprox" => "≈",
    "ouml" => "ö",
    "sce" => "⪴",
    "congruent" => "≡",
    "luruhar" => "⥦",
    "jukcy" => "є",
    "counterclockwisecontourintegral" => "∳",
    "ltrpar" => "⦖",
    "subdot" => "⪽",
    "conint" => "∯",
    "notless" => "≮",
    "ldrdhar" => "⥧",
    "backepsilon" => "϶",
    "boxtimes" => "⊠",
    "cupcup" => "⩊",
    "leftupvector" => "↿",
    "subseteqq" => "⫅",
    "toea" => "⤨",
    "swnwar" => "⤪",
    "gdot" => "ġ",
    "boxhu" => "╩",
    "vert" => "‖",
    "doublelongleftrightarrow" => "⟺",
    "thorn" => "þ",
    "lhard" => "↽",
    "frac16" => "⅙",
    "cross" => "⨯",
    "tfr" => "𝔱",
    "umacr" => "ū",
    "lsaquo" => "‹",
    "rarrfs" => "⤞",
    "orslope" => "⩗",
    "wedgeq" => "≙",
    "fork" => "⋔",
    "lap" => "⪅",
    "sqsupset" => "⊐",
    "squaresubsetequal" => "⊑",
    "leftdoublebracket" => "⟦",
    "iocy" => "ё",
    "nsup" => "⊅",
    "ffilig" => "ﬃ",
    "nlt" => "≮",
    "nsim" => "≁",
    "ord" => "⩝",
    "leftarrow" => "⇐",
    "lacute" => "ĺ",
    "female" => "♀",
    "jfr" => "𝔧",
    "aogon" => "ą",
    "primes" => "ℙ",
    "simplus" => "⨤",
    "xdtri" => "▽",
    "oror" => "⩖",
    "ovbar" => "⌽",
    "rtri" => "▹",
    "eplus" => "⩱",
    "pound" => "£",
    "sqsupseteq" => "⊒",
    "rfisht" => "⥽",
    "succneqq" => "⪶",
    "lnap" => "⪉",
    "diacriticaltilde" => "˜",
    "srarr" => "→",
    "nsupseteq" => "⊉",
    "ocirc" => "ô",
    "leg" => "⪋",
    "rnmid" => "⫮",
    "darr" => "⇓",
    "scnsim" => "⋩",
    "mapsto" => "↦",
    "period" => ".",
    "langd" => "⦑",
    "rotimes" => "⨵",
    "nsube" => "⊈",
    "amalg" => "⨿",
    "rtriltri" => "⧎",
    "zcaron" => "ž",
    "nspar" => "∦",
    "ni" => "∋",
    "times" => "×",
    "pm" => "±",
    "lbrack" => "[",
    "verticalseparator" => "❘",
    "quest" => "?",
    "ii" => "ⅈ",
    "cirscir" => "⧂",
    "nsub" => "⊄",
    "notrighttriangle" => "⋫",
    "geq" => "≥",
    "awint" => "⨑",
    "lfr" => "𝔩",
    "isindot" => "⋵",
    "sdote" => "⩦",
    "straightphi" => "ϕ",
    "bernoullis" => "ℬ",
    "vbar" => "⫫",
    "rmoustache" => "⎱",
    "thinspace" => " ",
    "tripledot" => "⃛",
    "gtquest" => "⩼",
    "ruledelayed" => "⧴",
    "les" => "⩽",
    "cdot" => "ċ",
    "eqsim" => "≂",
    "boxvr" => "╠",
    "barwed" => "⌆",
    "rbrke" => "⦌",
    "ee" => "ⅇ",
    "minusdu" => "⨪",
    "nottildefullequal" => "≇",
    "udblac" => "ű",
    "diams" => "♦",
    "opencurlydoublequote" => "“",
    "sfrown" => "⌢",
    "larrsim" => "⥳",
    "lessslantequal" => "⩽",
    "infintie" => "⧝",
    "rceil" => "⌉",
    "jcirc" => "ĵ",
    "ultri" => "◸",
    "invisibletimes" => "⁢",
    "ubrcy" => "ў",
    "commat" => "@",
    "isine" => "⋹",
    "boxvl" => "╣",
    "rarrc" => "⤳",
    "aring" => "å",
    "fnof" => "ƒ",
    "ocir" => "⊚",
    "nharr" => "⇎",
    "nacute" => "ń",
    "precedestilde" => "≾",
    "jscr" => "𝒿",
    "negativeverythinspace" => "​",
    "solbar" => "⌿",
    "bottom" => "⊥",
    "jcy" => "й",
    "gel" => "⪌",
    "lopar" => "⦅",
    "isin" => "∈",
    "hellip" => "…",
    "mumap" => "⊸",
    "udhar" => "⥮",
    "nrarr" => "⇏",
    "rx" => "℞",
    "mcy" => "м",
    "zacute" => "ź",
    "dotequal" => "≐",
    "supedot" => "⫄",
    "models" => "⊧",
    "scsim" => "≿",
    "newline" => "\n",
    "diamond" => "⋄",
    "bigtriangledown" => "▽",
    "phiv" => "φ",
    "shcy" => "ш",
    "succeedsslantequal" => "≽",
    "daleth" => "ℸ",
    "trade" => "™",
    "pcy" => "п",
    "blk34" => "▓",
    "div" => "÷",
    "bscr" => "𝒷",
    "brvbar" => "¦",
    "elsdot" => "⪗",
    "sqrt" => "√",
    "rdquo" => "”",
    "rangle" => "⟩",
    "reg" => "®",
    "yuml" => "Ÿ",
    "squaresuperset" => "⊐",
    "rcub" => "}",
    "upharpoonleft" => "↿",
    "equiv" => "≡",
    "harr" => "⇔",
    "mho" => "℧",
    "rharu" => "⇀",
    "upequilibrium" => "⥮",
    "notdoubleverticalbar" => "∦",
    "subsub" => "⫕",
    "iuml" => "ï",
    "lesdotor" => "⪃",
    "longleftarrow" => "⟸",
    "nsccue" => "⋡",
    "otimes" => "⨷",
    "horizontalline" => "─",
    "searrow" => "↘",
    "tcy" => "т",
    "olt" => "⧀",
    "angle" => "∠",
    "smte" => "⪬",
    "rightrightarrows" => "⇉",
    "not" => "⫬",
    "prcue" => "≼",
    "subsim" => "⫇",
    "eng" => "ŋ",
    "subsetneq" => "⊊",
    "gle" => "⪒",
    "aacute" => "á",
    "downrightteevector" => "⥟",
    "questeq" => "≟",
    "verticalline" => "|",
    "zwj" => "‍",
    "rsaquo" => "›",
    "filledsmallsquare" => "◼",
    "rrightarrow" => "⇛",
    "block" => "█",
    "boxul" => "╝",
    "lg" => "≶",
    "ltlarr" => "⥶",
    "mp" => "∓",
    "lesstilde" => "≲",
    "frac12" => "½",
    "diamondsuit" => "♦",
    "epsilon" => "ε",
    "scaron" => "š",
    "geqslant" => "⩾",
    "upuparrows" => "⇈",
    "eopf" => "𝕖",
    "gtrapprox" => "⪆",
    "pr" => "⪻",
    "sime" => "≃",
    "notreverseelement" => "∌",
    "vopf" => "𝕧",
    "leftanglebracket" => "⟨",
    "nopf" => "𝕟",
    "bigoplus" => "⨁",
    "sdotb" => "⊡",
    "forall" => "∀",
    "doteq" => "≐",
    "notlessgreater" => "≸",
    "notelement" => "∉",
    "diacriticalgrave" => "`",
    "circledot" => "⊙",
    "downarrow" => "⇓",
    "lbrke" => "⦋",
    "greatertilde" => "≳",
    "rsquor" => "’",
    "ccupssm" => "⩐",
    "gcedil" => "Ģ",
    "notcupcap" => "≭",
    "rsqb" => "]",
    "leftupdownvector" => "⥑",
    "divideontimes" => "⋇",
    "lambda" => "λ",
    "rlhar" => "⇌",
    "kcy" => "к",
    "aelig" => "æ",
    "wp" => "℘",
    "emsp13" => " ",
    "otimesas" => "⨶",
    "barvee" => "⊽",
    "mapstoup" => "↥",
    "harrcir" => "⥈",
    "fcy" => "ф",
    "plusmn" => "±",
    "wfr" => "𝔴",
    "lessdot" => "⋖",
    "upperrightarrow" => "↗",
    "gtrdot" => "⋗",
    "rang" => "⟫",
    "iecy" => "е",
    "els" => "⪕",
    "digamma" => "ϝ",
    "wopf" => "𝕨",
    "bump" => "≎",
    "leftvector" => "↼",
    "ac" => "∾",
    "rightteearrow" => "↦",
    "ddotrahd" => "⤑",
    "precnapprox" => "⪹",
    "nsubseteq" => "⊈",
    "planckh" => "ℎ",
    "divide" => "÷",
    "verticalbar" => "∣",
    "straightepsilon" => "ϵ",
    "xrarr" => "⟹",
    "lotimes" => "⨴",
    "nearhk" => "⤤",
    "ldsh" => "↲",
    "uhblk" => "▀",
    "ecir" => "≖",
    "telrec" => "⌕",
    "sharp" => "♯",
    "upsilon" => "υ",
    "searhk" => "⤥",
    "lowbar" => "_",
    "vvdash" => "⊪",
    "doubleverticalbar" => "∥",
    "larrfs" => "⤝",
    "npr" => "⊀",
    "eqslantgtr" => "⪖",
    "thksim" => "∼",
    "simdot" => "⩪",
    "njcy" => "њ",
    "closecurlydoublequote" => "”",
    "andand" => "⩕",
    "frasl" => "⁄",
    "gesdot" => "⪀",
    "emacr" => "ē",
    "trianglerighteq" => "⊵",
    "clockwisecontourintegral" => "∲",
    "cularrp" => "⤽",
    "and" => "⩓",
    "ntrianglelefteq" => "⋬",
    "trie" => "≜",
    "squaresupersetequal" => "⊒",
    "diacriticalacute" => "´",
    "rarrap" => "⥵",
    "raemptyv" => "⦳",
    "because" => "∵",
    "tscr" => "𝓉",
    "diam" => "⋄",
    "uharl" => "↿",
    "vartriangleright" => "⊳",
    "xscr" => "𝓍",
    "grave" => "`",
    "supsup" => "⫖",
    "rightupvector" => "↾",
    "rightvectorbar" => "⥓",
    "triangleleft" => "◃",
    "rightthreetimes" => "⋌",
    "xvee" => "⋁",
    "ratail" => "⤜",
    "oplus" => "⊕",
    "imaginaryi" => "ⅈ",
    "or" => "⩔",
    "smt" => "⪪",
    "lessgtr" => "≶",
    "equal" => "⩵",
    "zfr" => "𝔷",
    "timesbar" => "⨱",
    "leftrightarrow" => "⇔",
    "implies" => "⇒",
    "equest" => "≟",
    "triminus" => "⨺",
    "bumpeq" => "≏",
    "divonx" => "⋇",
    "percnt" => "%",
    "swarrow" => "↙",
    "fscr" => "𝒻",
    "updownarrow" => "⇕",
    "uparrowdownarrow" => "⇅",
    "nless" => "≮",
    "angsph" => "∢",
    "bigcap" => "⋂",
    "notnivb" => "⋾",
    "gtreqless" => "⋛",
    "tcaron" => "ť",
    "gg" => "⋙",
    "rpargt" => "⦔",
    "ccups" => "⩌",
    "dhar" => "⥥",
    "range" => "⦥",
    "dashv" => "⫤",
    "nrtrie" => "⋭",
    "icy" => "и",
    "yacute" => "ý",
    "pluscir" => "⨢",
    "lcedil" => "ļ",
    "shortdownarrow" => "↓",
    "rhov" => "ϱ",
    "marker" => "▮",
    "notsucceedsslantequal" => "⋡",
    "rightanglebracket" => "⟩",
    "spades" => "♠",
    "scnap" => "⪺",
    "maltese" => "✠",
    "vltri" => "⊲",
    "ddagger" => "‡",
    "ljcy" => "љ",
    "hstrok" => "ħ",
    "thetasym" => "ϑ",
    "leqslant" => "⩽",
    "scedil" => "ş",
    "lfloor" => "⌊",
    "oint" => "∮",
    "cire" => "⧃",
    "backslash" => "∖",
    "lfisht" => "⥼",
    "nleftrightarrow" => "⇎",
    "starf" => "★",
    "nsucc" => "⊁",
    "oast" => "⊛",
    "circlearrowleft" => "↺",
    "longmapsto" => "⟼",
    "underbracket" => "⎵",
    "dd" => "ⅆ",
    "igrave" => "ì",
    "nequiv" => "≢",
    "gnapprox" => "⪊",
    "notinvc" => "⋶",
    "chi" => "χ",
    "slarr" => "←",
    "dfr" => "𝔡",
    "acd" => "∿",
    "micro" => "µ",
    "supset" => "⋑",
    "race" => "⧚",
    "uscr" => "𝓊",
    "rarrhk" => "↪",
    "llarr" => "⇇",
    "angmsdag" => "⦮",
    "cap" => "⋒",
    "utrif" => "▴",
    "intprod" => "⨼",
    "awconint" => "∳",
    "boxplus" => "⊞",
    "negativethickspace" => "​",
    "ntgl" => "≹",
    "vee" => "⋁",
    "mstpos" => "∾",
    "pointint" => "⨕",
    "os" => "Ⓢ",
    "subplus" => "⪿",
    "lsqb" => "[",
    "ecaron" => "ě",
    "bigwedge" => "⋀",
    "nprcue" => "⋠",
    "supdsub" => "⫘",
    "righttriangleequal" => "⊵",
    "cularr" => "↶",
    "afr" => "𝔞",
    "xotime" => "⨂",
    "iexcl" => "¡",
    "lowerrightarrow" => "↘",
    "num" => "#",
    "hopf" => "𝕙",
    "robrk" => "⟧",
    "coprod" => "∐",
    "osol" => "⊘",
    "hat" => "^",
    "rdsh" => "↳",
    "vdash" => "⊫",
    "squaresubset" => "⊏",
    "lessequalgreater" => "⋚",
    "xcap" => "⋂",
    "rsquo" => "’",
    "frac56" => "⅚",
    "rscr" => "𝓇",
    "nleftarrow" => "⇍",
    "ntriangleright" => "⋫",
    "laplacetrf" => "ℒ",
    "boxvh" => "╬",
    "fopf" => "𝕗",
    "tritime" => "⨻",
    "shortleftarrow" => "←",
    "verythinspace" => " ",
    "angmsdac" => "⦪",
    "prnsim" => "⋨",
    "leq" => "≤",
    "in" => "∈",
    "measuredangle" => "∡",
    "bfr" => "𝔟",
    "xwedge" => "⋀",
    "prurel" => "⊰",
    "forkv" => "⫙",
    "excl" => "!",
    "xnis" => "⋻",
    "curvearrowleft" => "↶",
    "notnivc" => "⋽",
    "bsim" => "∽",
    "spadesuit" => "♠",
    "sup2" => "²",
    "die" => "¨",
    "bigsqcup" => "⨆",
    "sqsup" => "⊐",
    "sup3" => "³",
    "precsim" => "≾",
    "oacute" => "ó",
    "ncy" => "н",
    "bnot" => "⫭",
    "backsim" => "∽",
    "nu" => "ν",
    "epsi" => "ϵ",
    "permil" => "‰",
    "dtrif" => "▾",
    "prime" => "″",
    "leftteearrow" => "↤",
    "trianglelefteq" => "⊴",
    "rightdoublebracket" => "⟧",
    "idot" => "İ",
    "gopf" => "𝕘",
    "agrave" => "à",
    "simeq" => "≃",
    "notsubsetequal" => "⊈",
    "hoarr" => "⇿",
    "uparrow" => "⇑",
    "rightdownvector" => "⇂",
    "boxdl" => "╗",
    "lneq" => "⪇",
    "scpolint" => "⨓",
    "efdot" => "≒",
    "nhpar" => "⫲",
    "bdquo" => "„",
    "sup" => "⋑",
    "nobreak" => "⁠",
    "simle" => "⪟",
    "imath" => "ı",
    "uring" => "ů",
    "integral" => "∫",
    "cirmid" => "⫯",
    "roang" => "⟭",
    "rmoust" => "⎱",
    "tosa" => "⤩",
    "rightupvectorbar" => "⥔",
    "ntilde" => "ñ",
    "ring" => "˚",
    "prne" => "⪵",
    "opencurlyquote" => "‘",
    "lrm" => "‎",
    "tau" => "τ",
    "dscy" => "ѕ",
    "imagpart" => "ℑ",
    "plus" => "+",
    "ulcorner" => "⌜",
    "leftarrowrightarrow" => "⇆",
    "cup" => "⋓",
    "rhard" => "⇁",
    "boxhd" => "╦",
    "vprop" => "∝",
    "egs" => "⪖",
    "dscr" => "𝒹",
    "yen" => "¥",
    "blacktriangleright" => "▸",
    "smashp" => "⨳",
    "ffllig" => "ﬄ",
    "cemptyv" => "⦲",
    "nonbreakingspace" => " ",
    "doubleupdownarrow" => "⇕",
    "bullet" => "•",
    "sqsupe" => "⊒",
    "downdownarrows" => "⇊",
    "cuwed" => "⋏",
    "frac58" => "⅝",
    "ap" => "≈",
    "alefsym" => "ℵ",
    "leftleftarrows" => "⇇",
    "nldr" => "‥",
    "exponentiale" => "ⅇ",
    "efr" => "𝔢",
    "backsimeq" => "⋍",
    "hkswarow" => "⤦",
    "wedbar" => "⩟",
    "alpha" => "α",
    "eddot" => "⩷",
    "square" => "□",
    "nearrow" => "↗",
    "lthree" => "⋋",
    "lefttrianglebar" => "⧏",
    "shchcy" => "щ",
    "squareintersection" => "⊓",
    "fallingdotseq" => "≒",
    "roarr" => "⇾",
    "exist" => "∃",
    "frac23" => "⅔",
    "loplus" => "⨭",
    "lsim" => "≲",
    "lrarr" => "⇆",
    "suphsub" => "⫗",
    "uhar" => "⥣",
    "cylcty" => "⌭",
    "coproduct" => "∐",
    "sect" => "§",
    "twixt" => "≬",
    "wcirc" => "ŵ",
    "angmsdad" => "⦫",
    "downbreve" => "̑",
    "abreve" => "ă",
    "mapstodown" => "↧",
    "ijlig" => "ĳ",
    "orarr" => "↻",
    "notlefttriangle" => "⋪",
    "rightharpoonup" => "⇀",
    "pitchfork" => "⋔",
    "realpart" => "ℜ",
    "utri" => "▵",
    "larr" => "⇐",
    "hbar" => "ℏ",
    "underparenthesis" => "⏝",
    "lessgreater" => "≶",
    "notcongruent" => "≢",
    "roplus" => "⨮",
    "reverseequilibrium" => "⇋",
    "humpequal" => "≏",
    "doteqdot" => "≑",
    "gnsim" => "⋧",
    "hairsp" => " ",
    "bemptyv" => "⦰",
    "frown" => "⌢",
    "mlcp" => "⫛",
    "ast" => "*",
    "timesd" => "⨰",
    "iacute" => "í",
    "target" => "⌖",
    "gbreve" => "ğ",
    "propto" => "∝",
    "topcir" => "⫱",
    "eta" => "η",
    "harrw" => "↭",
    "ssmile" => "⌣",
    "profalar" => "⌮",
    "lrtri" => "⊿",
    "simg" => "⪞",
    "bsol" => "\\",
    "xi" => "ξ",
    "uarrocir" => "⥉",
    "rtrie" => "⊵",
    "leqq" => "≦",
    "precnsim" => "⋨",
    "frac15" => "⅕",
    "angmsdaf" => "⦭",
    "rightsquigarrow" => "↝",
    "complexes" => "ℂ",
    "hookleftarrow" => "↩",
    "lscr" => "𝓁",
    "vrtri" => "⊳",
    "rarrtl" => "⤖",
    "quatint" => "⨖",
    "doublelefttee" => "⫤",
    "kgreen" => "ĸ",
    "infin" => "∞",
    "llcorner" => "⌞",
    "bepsi" => "϶",
    "planck" => "ℏ",
    "ltimes" => "⋉",
    "varpi" => "ϖ",
    "angrt" => "∟",
    "cedil" => "¸",
    "rthree" => "⋌",
    "sext" => "✶",
    "ubreve" => "ŭ",
    "lcy" => "л",
    "nwarr" => "⇖",
    "curlyeqprec" => "⋞",
    "nrightarrow" => "⇏",
    "dotplus" => "∔",
    "leftteevector" => "⥚",
    "nvlarr" => "⤂",
    "rlarr" => "⇄",
    "dcaron" => "ď",
    "horbar" => "―",
    "mapstoleft" => "↤",
    "nsupe" => "⊉",
    "reverseelement" => "∋",
    "iopf" => "𝕚",
    "element" => "∈",
    "odblac" => "ő",
    "fltns" => "▱",
    "gfr" => "𝔤",
    "iff" => "⇔",
    "colone" => "⩴",
    "dash" => "‐",
    "circleddash" => "⊝",
    "omicron" => "ο",
    "cedilla" => "¸",
    "righttriangle" => "⊳",
    "urcorn" => "⌝",
    "image" => "ℑ",
    "nottildetilde" => "≉",
    "leftdownvector" => "⇃",
    "capdot" => "⩀",
    "swarhk" => "⤦",
    "supplus" => "⫀",
    "gtrarr" => "⥸",
    "udarr" => "⇅",
    "succeq" => "⪰",
    "nottildeequal" => "≄",
    "union" => "⋃",
    "greaterfullequal" => "≧",
    "notequal" => "≠",
    "ofcir" => "⦿",
    "rho" => "ρ",
    "gla" => "⪥",
    "lne" => "⪇",
    "pertenk" => "‱",
    "gesles" => "⪔",
    "vcy" => "в",
    "nvrarr" => "⤃",
    "congdot" => "⩭",
    "rightdownteevector" => "⥝",
    "isinsv" => "⋳",
    "curvearrowright" => "↷",
    "sung" => "♪",
    "iquest" => "¿",
    "kappa" => "κ",
    "negativethinspace" => "​",
    "xoplus" => "⨁",
    "intersection" => "⋂",
    "ndash" => "–",
    "product" => "∏",
    "sfr" => "𝔰",
    "yscr" => "𝓎",
    "vzigzag" => "⦚",
    "sqsubset" => "⊏",
    "sigma" => "σ",
    "mid" => "∣",
    "gesdotol" => "⪄",
    "empty" => "∅",
    "duarr" => "⇵",
    "scy" => "с",
    "approx" => "≈",
    "imagline" => "ℐ",
    "rightteevector" => "⥛",
    "delta" => "δ",
    "prec" => "≺",
    "boxur" => "╚",
    "dstrok" => "đ",
    "copf" => "𝕔",
    "lesdot" => "⩿",
    "mscr" => "𝓂",
    "parsim" => "⫳",
    "dwangle" => "⦦",
    "cuvee" => "⋎",
    "doublelongleftarrow" => "⟸",
    "dlcrop" => "⌍",
    "eth" => "ð",
    "spar" => "∥",
    "eogon" => "ę",
    "circledcirc" => "⊚",
    "lhblk" => "▄",
    "underbrace" => "⏟",
    "plusacir" => "⨣",
    "ll" => "⋘",
    "invisiblecomma" => "⁣",
    "lrhard" => "⥭",
    "plusminus" => "±",
    "minusplus" => "∓",
    "oopf" => "𝕠",
    "gacute" => "ǵ",
    "supne" => "⫌",
    "midast" => "*",
    "iukcy" => "і",
    "copysr" => "℗",
    "lpar" => "(",
    "bsemi" => "⁏",
    "niv" => "∋",
    "kcedil" => "ķ",
    "frac34" => "¾",
    "acy" => "а",
    "iscr" => "𝒾",
    "ge" => "≧",
    "olcir" => "⦾",
    "notsucceeds" => "⊁",
    "capand" => "⩄",
    "multimap" => "⊸",
    "gtreqqless" => "⪌",
    "siml" => "⪝",
    "midcir" => "⫰",
    "plusdu" => "⨥",
    "nestedgreatergreater" => "≫",
    "lesssim" => "≲",
    "olarr" => "↺",
    "lbrkslu" => "⦍",
    "rarrsim" => "⥴",
    "rcaron" => "ř",
    "prap" => "⪷",
    "lmoust" => "⎰",
    "risingdotseq" => "≓",
    "lrcorner" => "⌟",
    "latail" => "⤛",
    "unionplus" => "⊎",
    "ensp" => " ",
    "rfloor" => "⌋",
    "notlesstilde" => "≴",
    "lparlt" => "⦓",
    "incare" => "℅",
    "auml" => "ä",
    "lurdshar" => "⥊",
    "rbrack" => "]",
    "precedesslantequal" => "≼",
    "natural" => "♮",
    "hacek" => "ˇ",
    "sqsube" => "⊑",
    "succsim" => "≿",
    "nvharr" => "⤄",
    "cir" => "○",
    "nwarrow" => "↖",
    "overbar" => "¯",
    "numero" => "№",
    "sccue" => "≽",
    "bigcup" => "⋃",
    "there4" => "∴",
    "ulcrop" => "⌏",
    "rbrksld" => "⦎",
    "nmid" => "∤",
    "lcub" => "{",
    "ascr" => "𝒶",
    "humpdownhump" => "≎",
    "bumpe" => "⪮",
    "ifr" => "𝔦",
    "scirc" => "ŝ",
    "looparrowleft" => "↫",
    "precedes" => "≺",
    "iiota" => "℩",
    "tilde" => "∼",
    "notlessequal" => "≰",
    "rightleftharpoons" => "⇌",
    "iiiint" => "⨌",
    "gneq" => "⪈",
    "applyfunction" => "⁡",
    "rbarr" => "⤐",
    "lessapprox" => "⪅",
    "topfork" => "⫚",
    "hearts" => "♥",
    "gtdot" => "⋗",
    "greatergreater" => "⪢",
    "qscr" => "𝓆",
    "ropar" => "⦆",
    "notgreaterequal" => "≱",
    "re" => "ℜ",
    "acirc" => "â",
    "radic" => "√",
    "filig" => "ﬁ",
    "tab" => "\t",
    "shortparallel" => "∥",
    "notverticalbar" => "∤",
    "eacute" => "é",
    "odash" => "⊝",
    "gl" => "≷",
    "nleq" => "≰",
    "larrlp" => "↫",
    "tildetilde" => "≈",
    "triangleright" => "▹",
    "greaterequal" => "≥",
    "vscr" => "𝓋",
    "beta" => "β",
    "suplarr" => "⥻",
    "ecirc" => "ê",
    "prsim" => "≾",
    "hyphen" => "‐",
    "utdot" => "⋰",
    "proportion" => "∷",
    "nsqsupe" => "⋣",
    "nottilde" => "≁",
    "emptysmallsquare" => "◻",
    "zeetrf" => "ℨ",
    "leftceiling" => "⌈",
    "nis" => "⋼",
    "xfr" => "𝔵",
    "cupbrcap" => "⩈",
  }

  def entities(), do: @entities

  def map(entity) do
    Map.get(@entities, String.downcase(entity), entity)
  end

  def replace(string) when is_binary(string) do
    Regex.replace(~r/&([a-zA-Z]+|#[0-9]+|#x[A-Fa-f0-9]+);/, string, fn _, entity ->
      if String.starts_with?(entity, "#") do
        replace_numeric_entity(entity)
      else
        Map.get(@entities, String.downcase(entity), entity)
      end
    end)
  end

  defp replace_numeric_entity(<<"#x" :: binary, _ :: binary>> = entity) do
    replace_hexadecimal_entity(entity)
  end

  defp replace_numeric_entity(entity), do: replace_decimal_entity(entity)

  defp replace_decimal_entity(<<"#" :: binary, decimal :: binary>> = entity) do
    case Integer.parse(decimal, 10) do
      {decimal, ""} ->
        <<decimal::utf8>>
      _ ->
        entity
    end
  end

  defp replace_hexadecimal_entity(<<"#x" :: binary, hex :: binary>> = entity) do
    case Integer.parse(hex, 16) do
      {decimal, ""} ->
        <<decimal::utf8>>
      _ ->
        entity
    end
  end

end

